APP=kubernetes
APPS_DIR="$HOME/shared/apps"

#### CLUSTER ####
CLUSTER_ENTRYPOINT=
EMAIL=
INGRESS_PORTS=80,443
KUBE_VERSION=1.28.10
RETENTION_HOURS=168
DUALSTACK=1

#### VM ####
CLONE=template-debian-12
CONTROL_PLANE_DISK_SIZE=40
CONTROL_PLANE_DISK_STORAGE=rbd
CONTROL_PLANE_MEMORY=16384
CONTROL_PLANE_NODE_COUNT=1
CONTROL_PLANE_VCPUS=4
CONTROL_PLANE_IPV4=172.20.0.101/16
CPU=host
INTERNAL_NETWORK_BRIDGE=vmbr20
IP_RANGE=172.20.10.1-172.20.10.254
ITERATION=0
KUBESPRAY_VERSION=2.25.0
KUBE_NETWORK_PLUGIN=calico
PROTECTION=1
PROXMOX_HOST=localhost:8006
PROXMOX_NODES=""
PROXMOX_PARALLEL=1
PROXMOX_TIMEOUT=60
PROXMOX_TLS_INSECURE=1
PROXMOX_TOKEN_ID=""
PROXMOX_TOKEN_SECRET=""
SINGLE_CONTROL_PLANE=1
SOCKETS=1
SSH_PUBLIC_KEYS_B64=""
USER=admin
WORKER_DISK_SIZE=200
WORKER_DISK_STORAGE=local-zfs
WORKER_MEMORY=32768
WORKER_NODE_COUNT=1
WORKER_VCPUS=14

#### CEPH ####
CEPH=1
CEPH_ADMIN_ID=admin
CEPH_ADMIN_KEY=""
CEPH_CLUSTER_ID=""
CEPH_FS_NAME=cephfs
CEPH_MONITORS=""
CEPH_RBD_POOL=rbd

#### GITLAB ####
GITLAB_HOSTNAME=gitlab.com
GITLAB_USERNAME=
GITLAB_REPO=

#### DNS ####
PDNS_API_URL=
PDNS_API_KEY=
HETZNER_API_KEY=
CLOUDFLARE_EMAIL=
CLOUDFLARE_API_KEY=

#### FEATURES ####
ARGOCD=1
CLUSTER_ISSUER=1
CROSSPLANE=1
EFS=1
EXTERNAL_DNS=1
FLUX=1
INGRESS_NGINX=1
INTEGRATION_OPERATOR=1
KARPENTER=1
KYVERNO=1
LONGHORN=0
OLM=1
RELOADER=1
TEMPO=1
THANOS=0
VAULT=0

#### KANISTER ####
KANISTER=1
KANISTER_BUCKET=kanister-backups

#### S3 ####
S3=1
S3_ENDPOINT=
S3_ACCESS_KEY=
S3_SECRET_KEY=

#### RANCHER ####
RANCHER=0
RANCHER_ISTIO=0
RANCHER_LOGGING=1
RANCHER_MONITORING=1
RANCHER_ADMIN_PASSWORD=rancherP@ssw0rd
RANCHER_HOSTNAME=http://example.com

#### SECRETS ####
GITLAB_TOKEN=
RANCHER_TOKEN=
